> For the complete documentation index, see [llms.txt](https://developer.ivvy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.ivvy.com/events/get-attendee.md).

# Get Attendee

## Get Attendee

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/event?action=getAttendee`

#### Path Parameters

| Name    | Type    | Description                                    |
| ------- | ------- | ---------------------------------------------- |
| id      | integer | The attendee identifier                        |
| eventId | integer | The event identifier to which attendee belongs |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## Returns

| Property                 | Description                                                                                                        |
| ------------------------ | ------------------------------------------------------------------------------------------------------------------ |
| id                       | The unique registration identifier                                                                                 |
| registrationStatus       | The registration status of the event attendee                                                                      |
| contactId                | The contactId of event attendee                                                                                    |
| registrationId           | The registration id of event attendee                                                                              |
| ticketTitle              | The title of ticket                                                                                                |
| firstName                | The first name of the event attendee                                                                               |
| lastName                 | The last name of the event attendee                                                                                |
| email                    | The email address of the event attendee                                                                            |
| privacyConsentData       | The object of [Privacy Consent](/contact/get-contact.md#privacy-consent-data) field objects of the event attendee. |
| hasAttended              | Whether attendee has attended event or not                                                                         |
| sessionHasAttended       | Whether attendee has attended session or not                                                                       |
| isPublic                 | Whether event attendee is public or not                                                                            |
| barcode                  | The barcode text of event attendee                                                                                 |
| barcodeUrl               | The barcode url of event attendee                                                                                  |
| ticketUrl                | The ticket url of event attendee                                                                                   |
| attendedDatetime         | The attended date time of event attendee                                                                           |
| sessionAttendedTimestamp | The session attended date time of event attendee                                                                   |
| cost                     | The cost of ticket of event attendee                                                                               |
| customFields             | The array of custom fields data of event attendee with below details                                               |
| sessions                 | array of [Sessions](#session-details) which attendee registered or attended                                        |

## Custom field details

| Property | Description                                |
| -------- | ------------------------------------------ |
| name     | The name of the custom field               |
| value    | The value of the custom field for attendee |

## Session details

| Property          | Description                                  |
| ----------------- | -------------------------------------------- |
| sessionId         | The unique id of the session                 |
| sessionName       | The name of the session                      |
| isOptional        | Whether the session is optional or not       |
| hasAttended       | Whether the session has been attended or not |
| attendedDatetime  | The date & time the session was attended     |
| isSessionReserved | Whether the session is reserved or not       |

## Throws

| Code                 | Description          |
| -------------------- | -------------------- |
| Specific Code: 24211 | Unable to find event |
| Specific Code: 24212 | Invalid Attendee Id  |
| Specific Code: 24213 | Attendee not found   |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.ivvy.com/events/get-attendee.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
